summaryrefslogtreecommitdiffstats
path: root/testsuite/check.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/check.sh')
-rwxr-xr-xtestsuite/check.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/testsuite/check.sh b/testsuite/check.sh
index 24e44df..c619507 100755
--- a/testsuite/check.sh
+++ b/testsuite/check.sh
@@ -22,10 +22,14 @@ mkdir tmp
printf "testing pdlzip..."
cd "${objdir}"/tmp
-cat "${testdir}"/test1 > in || framework_failure
+cat "${testdir}"/test.txt > in || framework_failure
fail=0
-"${LZIP}" -cd "${testdir}"/test1.lz > copy || fail=1
+"${LZIP}" -t "${testdir}"/test.lz || fail=1
+"${LZIP}" -cd "${testdir}"/test.lz > copy || fail=1
+cmp in copy || fail=1
+"${LZIP}" -t "${testdir}"/test.lzma || fail=1
+"${LZIP}" -cd "${testdir}"/test.lzma > copy || fail=1
cmp in copy || fail=1
for i in s4Ki 0 1 2 3 4 5 6 7 8s16 9s16 ; do